Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Downgrade PHP 5.3.1 to 5.2.13 with EasyApache - any "gotchas"?

Discussion in 'EasyApache' started by TheSidewinder, Mar 9, 2010.

  1. TheSidewinder

    TheSidewinder Active Member

    Joined:
    Jul 18, 2009
    Messages:
    41
    Likes Received:
    0
    Trophy Points:
    56
    PHP 5.3.1 deprecated a couple functions that broke some of my software.

    Rather than wait for the software devs to fix it, I'd rather downgrade to 5.2.13.

    Hoping for a quick answer here (and with fingers crossed), but in current cPanel/WHM is it simply a matter of running EasyApache and selecting 5.2.13 vs 5.3.1 and re-compiling?

    And has anyone run into any "gotchas" doing so?

    Appreciate any help here, search results only have downgrades from 5 to 4, and are rather old.

    Thanks in advance!
     
  2. garrettp

    garrettp Well-Known Member
    PartnerNOC

    Joined:
    Jun 18, 2004
    Messages:
    312
    Likes Received:
    0
    Trophy Points:
    166
    cPanel Access Level:
    DataCenter Provider
    I've had to do this for a few customers for whom the deprecation of certain functions in 5.3 was also an issue, and it's as straightforward as it seems. :)
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. TheSidewinder

    TheSidewinder Active Member

    Joined:
    Jul 18, 2009
    Messages:
    41
    Likes Received:
    0
    Trophy Points:
    56
    Hallelujah!

    Thank you sir, I'm off to my WHM then. :)
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice